Skip to main content
POST
Merge vendors

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

businessId
string<uuid>
required

The UUID of the business the vendors belong to

vendorId
string<uuid>
required

The UUID of the vendor to merge into (target vendor)

Body

application/json
vendor_to_archive_id
string<uuid>
required

UUID of the vendor that will be archived after merging

Response

200 - application/json

Vendors merged successfully

id
string<uuid>

Unique identifier for the vendor.

external_id
string

Unique ID of the vendor in your system for linking purposes. Idempotency key.

individual_name
string | null

Full name of the individual vendor or contact at a corporate vendor.

company_name
string | null

Name of the company vendor.

email
string | null

Email address of the vendor.

mobile_phone
string | null

Mobile phone number of the vendor.

office_phone
string | null

Office phone number of the vendor.

address_string
string | null

Address of the vendor.

memo
string | null

Memo for any text you would like to associate with the vendor (for example, to display to end users).

status
enum<string>

Status of the vendor.

Available options:
ACTIVE,
ARCHIVED
transaction_tags
object[]